### Enumeration

# GObject TypeFundamentalFlags

#### Declaration

    flags GObject.TypeFundamentalFlags

#### Description [src]

Bit masks used to check or determine specific characteristics of a fundamental type.

#### Members

Name | Description
--- | ---
`G_TYPE_FLAG_CLASSED` | Indicates a classed type.
`G_TYPE_FLAG_INSTANTIATABLE` | Indicates an instantiatable type (implies classed)
`G_TYPE_FLAG_DERIVABLE` | Indicates a flat derivable type.
`G_TYPE_FLAG_DEEP_DERIVABLE` | Indicates a deep derivable type (implies derivable)